package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "JadwalSupirAmbulance_T")
public class JadwalSupirAmbulance extends BaseTransaction{
	
	@ManyToOne( fetch = FetchType.LAZY )
	@JsonIgnoreProperties(value = { "handler", "hibernateLazyInitializer" })
	@JoinColumn(name = "ObjectPegawaiFk")
	@Caption(value="Pegawai")
	private Pegawai pegawai;
	
	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false, nullable = true)
	private Integer pegawaiId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectShiftKerjaFk")
	@Caption(value="Shift Kerja")
	private ShiftKerja shiftKerja;
	
	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false, nullable = true)
	private Integer shiftKerjaId;
	
	@Column(name = "Tanggal", nullable = true)
	@Caption(value = "Tanggal")
	private Date tanggal;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value="Ruangan")
	private Ruangan ruangan;
	
	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false, nullable = true)
	private Integer ruanganId;
	
	
	public Ruangan getRuangan() {
		return ruangan;
	}

	public void setRuangan(Ruangan ruangan) {
		this.ruangan = ruangan;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public ShiftKerja getShiftKerja() {
		return shiftKerja;
	}

	public void setShiftKerja(ShiftKerja shiftKerja) {
		this.shiftKerja = shiftKerja;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}
	
	
}
